FLANG

Public Types | Public Member Functions | List of all members
Fortran::runtime::io::FileFrame< STORE > Class Template Reference

## Public Types
using | FileOffset = std::int64_t

## Public Member Functions
FileOffset | FrameAt () const
char * | Frame () const
std::size_t | FrameLength () const
std::size_t | BytesBufferedBeforeFrame () const
std::size_t | ReadFrame (FileOffset at, std::size_t bytes, IoErrorHandler &handler)
void | WriteFrame (FileOffset at, std::size_t bytes, IoErrorHandler &handler)
void | Flush (IoErrorHandler &handler)

The documentation for this class was generated from the following file:

- runtime/buffer.h